Cantera 2.6.0

Public Member Functions | Public Attributes | List of all members
ElectrochemicalReaction2 Class Reference

An interface reaction which involves charged species. More...

`#include <Reaction.h>`

Inheritance diagram for ElectrochemicalReaction2:
[legend]
Collaboration diagram for ElectrochemicalReaction2:
[legend]

## Public Member Functions
| ElectrochemicalReaction2 (const Composition &reactants, const Composition &products, const Arrhenius2 &rate)
virtual void | getParameters (AnyMap &reactionNode) const
| Store the parameters of a Reaction needed to reconstruct an identical object using the newReaction(AnyMap&, Kinetics&) function. More...
Public Member Functions inherited from InterfaceReaction2
| InterfaceReaction2 (const Composition &reactants, const Composition &products, const Arrhenius2 &rate, bool isStick=false)
virtual void | calculateRateCoeffUnits (const Kinetics &kin)
| Calculate the units of the rate constant. More...
virtual void | getParameters (AnyMap &reactionNode) const
| Store the parameters of a Reaction needed to reconstruct an identical object using the newReaction(AnyMap&, Kinetics&) function. More...
virtual void | validate (Kinetics &kin)
| Perform validation checks that need access to a complete Kinetics objects, for. More...
virtual std::string | type () const
| The type of reaction. More...
virtual void | validate ()
| Ensure that the rate constant and other parameters for this reaction are valid. More...
virtual void | validate (Kinetics &kin)
| Perform validation checks that need access to a complete Kinetics objects, for. More...
Public Member Functions inherited from ElementaryReaction2
| ElementaryReaction2 (const Composition &reactants, const Composition products, const Arrhenius2 &rate)
virtual void | validate ()
| Ensure that the rate constant and other parameters for this reaction are valid. More...
virtual void | getParameters (AnyMap &reactionNode) const
| Store the parameters of a Reaction needed to reconstruct an identical object using the newReaction(AnyMap&, Kinetics&) function. More...
virtual std::string | type () const
| The type of reaction. More...
virtual void | validate ()
| Ensure that the rate constant and other parameters for this reaction are valid. More...
virtual void | validate (Kinetics &kin)
| Perform validation checks that need access to a complete Kinetics objects, for. More...
Public Member Functions inherited from Reaction
| Reaction (const Composition &reactants, const Composition &products, shared_ptr< ReactionRate > rate={})
| Reaction (const AnyMap &node, const Kinetics &kin)
| Construct a Reaction and it's corresponding ReactionRate based on AnyMap (YAML) input. More...
| Reaction (int type)
| Reaction (int type, const Composition &reactants, const Composition &products)
virtual std::string | reactantString () const
| The reactant side of the chemical equation for this reaction. More...
virtual std::string | productString () const
| The product side of the chemical equation for this reaction. More...
std::string | equation () const
| The chemical equation for this reaction. More...
virtual void | setEquation (const std::string &equation, const Kinetics *kin=0)
| Set the reactants and products based on the reaction equation. More...
virtual std::string | type () const
| The type of reaction. More...
virtual void | calculateRateCoeffUnits (const Kinetics &kin)
| Calculate the units of the rate constant. More...
UnitStack | calculateRateCoeffUnits3 (const Kinetics &kin)
| Calculate the units of the rate constant. More...
virtual void | validate ()
| Ensure that the rate constant and other parameters for this reaction are valid. More...
virtual void | validate (Kinetics &kin)
| Perform validation checks that need access to a complete Kinetics objects, for. More...
AnyMap | parameters (bool withInput=true) const
| Return the parameters such that an identical Reaction could be reconstructed using the newReaction() function. More...
virtual void | setParameters (const AnyMap &node, const Kinetics &kin)
| Set up reaction based on AnyMap node More...
bool | valid () const
| Get validity flag of reaction. More...
void | setValid (bool valid)
| Set validity flag of reaction. More...
void | checkBalance (const Kinetics &kin) const
| Check that the specified reaction is balanced (same number of atoms for each element in the reactants and products). More...
bool | checkSpecies (const Kinetics &kin) const
| Verify that all species involved in the reaction are defined in the Kinetics object. More...
bool | usesElectrochemistry (const Kinetics &kin) const
| Check whether reaction uses electrochemistry. More...
shared_ptr< ReactionRate > | rate ()
| Get reaction rate pointer. More...
void | setRate (shared_ptr< ReactionRate > rate)
| Set reaction rate pointer. More...
shared_ptr< ThirdBody > | thirdBody ()
| Get pointer to third-body. More...
bool | usesLegacy () const
| Indicate whether object uses legacy framework. More...

## Public Attributes
doublereal | beta
| Forward value of the apparent Electrochemical transfer coefficient. More...
bool | exchange_current_density_formulation
Public Attributes inherited from InterfaceReaction2
std::map< std::string, CoverageDependency > | coverage_deps
| Adjustments to the Arrhenius rate expression dependent on surface species coverages. More...
bool | is_sticking_coefficient
| Set to true if `rate` is a parameterization of the sticking coefficient rather than the forward rate constant. More...
bool | use_motz_wise_correction
| Set to true if `rate` is a sticking coefficient which should be translated into a rate coefficient using the correction factor developed by Motz & Wise for reactions with high (near-unity) sticking coefficients. More...
std::string | sticking_species
| For reactions with multiple non-surface species, the sticking species needs to be explicitly identified. More...
Public Attributes inherited from ElementaryReaction2
Arrhenius2 | rate
bool | allow_negative_pre_exponential_factor
Public Attributes inherited from Reaction
int | reaction_type
| Type of the reaction. More...
Composition | reactants
| Reactant species and stoichiometric coefficients. More...
Composition | products
| Product species and stoichiometric coefficients. More...
Composition | orders
| Forward reaction order with respect to specific species. More...
std::string | id
| An identification string for the reaction, used in some filtering operations. More...
bool | reversible
| True if the current reaction is reversible. False otherwise. More...
bool | duplicate
| True if the current reaction is marked as duplicate. More...
bool | allow_nonreactant_orders
| True if reaction orders can be specified for non-reactant species. More...
bool | allow_negative_orders
| True if negative reaction orders are allowed. Default is `false`. More...
AnyMap | input
| Input data used for specific models. More...
Units | rate_units
| The units of the rate constant. More...

## Additional Inherited Members
Protected Member Functions inherited from Reaction
virtual void | getParameters (AnyMap &reactionNode) const
| Store the parameters of a Reaction needed to reconstruct an identical object using the newReaction(AnyMap&, Kinetics&) function. More...
virtual std::pair< std::vector< std::string >, bool > | undeclaredThirdBodies (const Kinetics &kin) const
Protected Attributes inherited from Reaction
bool | m_valid
| Flag indicating whether reaction is set up correctly. More...
shared_ptr< ReactionRate > | m_rate
| Reaction rate used by generic reactions. More...
shared_ptr< ThirdBody > | m_third_body
| Relative efficiencies of third-body species in enhancing the reaction rate (if applicable) More...

## Detailed Description

An interface reaction which involves charged species.

Definition at line 457 of file Reaction.h.

## Constructor & Destructor Documentation

## ◆ ElectrochemicalReaction2() [1/2]

ElectrochemicalReaction2 | ( |  | ) |

Definition at line 954 of file Reaction.cpp.

## ◆ ElectrochemicalReaction2() [2/2]

ElectrochemicalReaction2 | ( | const Composition & | reactants,
|  | const Composition & | products,
|  | const Arrhenius2 & | rate
| ) |  |

Definition at line 960 of file Reaction.cpp.

## Member Function Documentation

## ◆ getParameters()

void getParameters | ( | AnyMap & | reactionNode | ) | const
| virtual

Store the parameters of a Reaction needed to reconstruct an identical object using the newReaction(AnyMap&, Kinetics&) function.

Does not include user-defined fields available in the input map.

Reimplemented from InterfaceReaction2.

Definition at line 969 of file Reaction.cpp.

References ElectrochemicalReaction2::beta, and InterfaceReaction2::getParameters().

## Member Data Documentation

## ◆ beta

doublereal beta

Forward value of the apparent Electrochemical transfer coefficient.

Definition at line 466 of file Reaction.h.

Referenced by InterfaceKinetics::addReaction(), and ElectrochemicalReaction2::getParameters().

## ◆ exchange_current_density_formulation

bool exchange_current_density_formulation

Definition at line 468 of file Reaction.h.

The documentation for this class was generated from the following files:

- Reaction.h
- Reaction.cpp